{% extends "base.html" %}
{% block content %}
<div class="container pt-1">
  {% csrf_token %}
  <script>
      function getCookie(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie !== '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = cookies[i].trim();
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) === (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }

  function sendRequest() {
      var csrftoken = getCookie('csrftoken');
      var xhr = new XMLHttpRequest();
      xhr.open('POST', '/add_campaign', true);
      xhr.setRequestHeader("Content-Type", "application/json");
      xhr.setRequestHeader("X-CSRFToken", csrftoken);
      xhr.send(JSON.stringify({'campaign_name': location.pathname}));
      xhr.onreadystatechange = function() {
      if (this.readyState != 4) return;
      if (this.status == 200) {
          // var response = JSON.parse(xhr.responseText).result;
          // address = response;
          console.log(xhr.responseText)
          }
      }
  }

  function retweet(button) {
    // body...
    var csrftoken = getCookie('csrftoken');
    button = $(button).parents("[id^=post]")
    var id = $(button).attr("data-id");
    var link = $(button).attr("data-link");
    var text = $(button).attr("data-text");
    var tags = $(button).attr("data-tags");


    var url = "http://twitter.com/share?text="+text+"&url="+link;

    if(tags.trim().length > 0){
      url+="&hashtags="+tags;
    }

   
    window.open(url, '_blank');

  }

  function setlike(button) {
    // body...
    var csrftoken = getCookie('csrftoken');
    var id = $(button).attr("data-id");
    var link = $(button).attr("data-link");
    var text = $(button).attr("data-text");
    var tags = $(button).attr("data-tags");


    var url = link;


    
    
    window.open(url, '_blank');

  }

  $('.collapse').collapse(false)
  </script>
<div class="container">

  {% include 'post_template.html' with items=article_posts title='Share these posts' subtemplate="article_buttons.html" campaign_already_sharing=campaign_already_sharing%}

  {% include 'post_template.html' with items=post_posts title='Retweet | Like | Comment our posts' subtemplate="post_buttons.html" campaign_already_sharing=campaign_already_sharing%}

  {% include 'post_template.html' with items=follow_posts title='Follow our account' subtemplate="follow_buttons.html" campaign_already_sharing=campaign_already_sharing%}

  <div>
    {% if campaign_already_sharing %}
    <a class="btn btn-outline-info btn-lg" href="/campaigns/quit/{{campaign.id}}">QUIT CAMPAIGN</a>
    {% else %}
    <a class="btn btn-outline-info btn-lg" href="/campaigns/join/{{campaign.id}}">JOIN THIS CAMPAIGN</a>
    {% endif %}
  </div>

</div>
{% endblock %}
